# Uses of Interface
org.opensaml.xmlsec.signature.DSAKeyValue

Packages that use DSAKeyValue
Package
Description
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of DSAKeyValue in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo that return DSAKeyValue
Modifier and Type
Method
Description
`static DSAKeyValue`
KeyInfoSupport.`buildDSAKeyValue(DSAPublicKey dsaPubKey)`
Builds a `DSAKeyValue` XMLObject from the Java security DSA public key type.
Methods in org.opensaml.xmlsec.keyinfo with parameters of type DSAKeyValue
Modifier and Type
Method
Description
`static PublicKey`
KeyInfoSupport.`getDSAKey(DSAKeyValue keyDescriptor)`
Builds an DSA key from a `DSAKeyValue` element.
`static PublicKey`
KeyInfoSupport.`getDSAKey(DSAKeyValue keyDescriptor, DSAParams dsaParams)`
Builds a DSA key from an `DSAKeyValue` element and the supplied Java `DSAParams`, which supplies key material from a shared key family.
`static boolean`
KeyInfoSupport.`hasCompleteDSAParams(DSAKeyValue keyDescriptor)`
Check whether the specified `DSAKeyValue` element has the all optional DSA values which can be shared amongst many keys in a DSA "key family", and are presumed to be known from context.

## Uses of DSAKeyValue in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider that return DSAKeyValue
Modifier and Type
Method
Description
`protected DSAKeyValue`
DSAKeyValueProvider.`getDSAKeyValue(XMLObject xmlObject)`
Get the DSAKeyValue from the passed XML object.

## Uses of DSAKeyValue in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return DSAKeyValue
Modifier and Type
Method
Description
`DSAKeyValue`
KeyValue.`getDSAKeyValue()`
Get the DSAKeyValue child element.
Methods in org.opensaml.xmlsec.signature with parameters of type DSAKeyValue
Modifier and Type
Method
Description
`void`
KeyValue.`setDSAKeyValue(DSAKeyValue newDSAKeyValue)`
Set the DSAKeyValue child element.

## Uses of DSAKeyValue in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement DSAKeyValue
Modifier and Type
Class
Description
`class`
`DSAKeyValueImpl`
Concrete implementation of `DSAKeyValue`.
Fields in org.opensaml.xmlsec.signature.impl declared as DSAKeyValue
Modifier and Type
Field
Description
`private DSAKeyValue`
KeyValueImpl.`dsaKeyValue`
DSAKeyValue child element.
Methods in org.opensaml.xmlsec.signature.impl that return DSAKeyValue
Modifier and Type
Method
Description
`DSAKeyValue`
DSAKeyValueBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`DSAKeyValue`
DSAKeyValueBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`DSAKeyValue`
KeyValueImpl.`getDSAKeyValue()`
Get the DSAKeyValue child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type DSAKeyValue
Modifier and Type
Method
Description
`void`
KeyValueImpl.`setDSAKeyValue(DSAKeyValue newDSAKeyValue)`
Set the DSAKeyValue child element.